Skip to main content
GET
/
texml_applications
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const texmlApplication of client.texmlApplications.list()) {
  console.log(texmlApplication.id);
}
{ "data": [ { "id": "1293384261075731499", "record_type": "texml_application", "active": false, "friendly_name": "call-router", "anchorsite_override": "Amsterdam, Netherlands", "dtmf_type": "Inband", "first_command_timeout": true, "first_command_timeout_secs": 10, "voice_url": "https://example.com", "voice_fallback_url": "https://fallback.example.com", "call_cost_in_webhooks": false, "voice_method": "get", "status_callback": "https://example.com", "status_callback_method": "get", "tags": [ "tag1", "tag2" ], "inbound": { "channel_limit": 10, "shaken_stir_enabled": true, "sip_subdomain": "example", "sip_subdomain_receive_settings": "only_my_connections" }, "outbound": { "channel_limit": 10, "outbound_voice_profile_id": "1293384261075731499" }, "created_at": "2020-02-02T22:25:27.521Z", "updated_at": "2020-02-03T22:25:27.521Z" } ], "meta": { "total_pages": 3, "total_results": 55, "page_number": 2, "page_size": 25 } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
object

Consolidated page parameter (deepObject style). Originally: page[size], page[number]

filter
object

Consolidated filter parameter (deepObject style). Originally: filter[outbound_voice_profile_id], filter[friendly_name]

sort
enum<string>
default:created_at

Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the - prefix.

That is:

  • friendly_name: sorts the result by the friendly_name field in ascending order.
  • -friendly_name: sorts the result by the friendly_name field in descending order.

If not given, results are sorted by created_at in descending order.
Available options:
created_at,
friendly_name,
active
Example:

"friendly_name"

Response

Successful response

data
Texml Application · object[]
meta
Pagination Meta · object